#[derive(PartialEq, Eq, Debug)]
pub enum TokenType {
    Variable(char),
    Function(String),
    Lambda,

    Period,
    Equals,
    Eof,

    LeftParen,
    RightParen,

    NoToken,
}

pub struct Token {
    pub line: usize,
    pub lexeme: String,
    pub token_type: TokenType,
}

impl Token {
    pub fn new(token_type: TokenType, lexeme: String, line: usize) -> Self {
        Self {
            line,
            lexeme,
            token_type,
        }
    }
}
